#ifndef _CARDAPPZ_CORPID_H_
#define _CARDAPPZ_CORPID_H_

#include "cardappz_types.h"
#include "cardappz_cards.h"

extern unsigned char CORPID_MASTER_KEY0[16];
extern unsigned char CORPID_MASTER_KEY1[16];
extern unsigned char CORPID_SIGNATURE_KEY[16];

int DisplayCorpid(CARDAPPZ_CTX_ST *ctx);

int SelectCorpid(CARDAPPZ_CTX_ST *ctx);
int ReadCorpidIdentity(CARDAPPZ_CTX_ST *ctx, CORPID_IDENTITY_ST *identity);
int ReadCorpidFingerprints(CARDAPPZ_CTX_ST *ctx, unsigned char fingerprints[CORPID_FINGERPRINTS_MAX_SZ]);
int ReadCorpidPicture(CARDAPPZ_CTX_ST *ctx, unsigned char picture[CORPID_PICTURE_MAX_SZ]);
int ReadCorpidAccessControl(CARDAPPZ_CTX_ST *ctx, unsigned char accesscontrol[48]);
int ReadCorpidOptionsSign(CARDAPPZ_CTX_ST *ctx, CORPID_OPTIONSSIGN_ST *optionssign);
int WriteCorpid(CARDAPPZ_CTX_ST *ctx, CORPID_IDENTITY_ST *identity, unsigned char fingerprints[CORPID_FINGERPRINTS_MAX_SZ], unsigned char picture[CORPID_PICTURE_MAX_SZ], unsigned char accesscontrol[48], CORPID_OPTIONSSIGN_ST *optionssign);


#endif
